package grapher.ui;

import java.awt.Dimension;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JList;

import javax.swing.JToolBar;

import java.awt.event.*;
import javax.swing.event.*;


public class ListPane extends JPanel {
	protected JList list;
	
	public ListPane(final FunctionPane functions) {
		super(new BorderLayout());
		
		list = new JList(functions.functions);
		list.addListSelectionListener(new ListSelectionListener() {
			public void valueChanged(ListSelectionEvent e) { functions.repaint(); }
		});
		list.setPreferredSize(new Dimension(100, 100));
		add(list);
		
		JToolBar buttons = new JToolBar();
		buttons.setFloatable(false);
		buttons.add(functions.creater);
		buttons.add(functions.remover);
		add(buttons, BorderLayout.SOUTH);		
	}
	
	public boolean isSelectedIndex(int index) {
		return list.isSelectedIndex(index);
	}
}
